[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/F1F65KGH9)
# Modding Server:
[![discord server](https://i.imgur.com/kym7QnV.png)](https://discord.gg/me7P53smzk)
click me

# 0.2.5 Patch Notes
- Added Config options for
- - Tier 1 and 2 elite cost
- - All elite health and damage
- - Delicate Watch
- - Power Elixir
- - Lepton Lily
- - Old War Stealthkit
- - Will O' The Wisp
- - Dio's Best Friend
- - Pocket ICBM
- - Soulbound Catalyst
- - Genesis Loop
- - Mired Urn
- - Focused Convergence
- - Shaped Glass
- - Stone Flux Pauldron
- - Singularity Band
- - Voidsent Flame
- - Pluripotent Larva
- - IsHealthLow

- Fixed
- - A couple descriptions
- - Medkit flat healing
- - Shipping Request Form weights
- - Executive Card and Eccentric Vase cooldown
- - The Backup drone count
- - Spinel Tonic damage
- - Some dependencies so UCR's descriptions/description fixes aren't being overwritten (WIP)
- - Disable Vanilla Description Changes in WolfoQOL to fix overwriting (should be added to it soon-ish)
- - Make sure to change Shipping Request Form and Spinel Tonic's configs as they were inaccurate to vanilla

- Improved
- - A couple descriptions
- - Config categorization and separation
- - Optimization slightly
- - Loading times a lot

# Todo (help im going insane)
- All monsters - combat director stuff
- All interactables - stage director stuff
- All loot tables of all interactables
- Genesis Loop and Old War Stealhkit health thresholds
- Hopoo Feather counts as n of itself when jumping
- Lepton Lily counts as n of itself when calculating pulse thresholds
- Leeching Seed counts as n of itself when healing
- Regenerating Scrap counts as n of itself when printing items
- Bens Raincoat debuff prevention count
- Bottled Chaos counts as n of itself when activating equip
- Dio's Best Friend tougher times on death
- Nkuhanas Opinion max pool, pool threshold and skull damage
- Defense Nucleus stat boosts
- Halcyon Seed stat boosts
- Queen's Gland beetle guard count
- Beads of Fealty more scavs and more lunar coins
- Essence of Heresy debuff duration, initial hit damage, explosion damage
- Gesture of The Drowned random equipment cooldown on every equipment activation
- Light Flux Pauldron cooldown and attack speed
- Strides of Heresy move speed, healing, duration
- Transcendence increasing shield recharge timer every stack
- Needletick % and count for elites
- Newly Hatched Zoea cooldown, max allies
- Goobo Jr stat boosts
- Milky Chrysalis flight speed, glide speed, boost speed and cooldown
- Topaz Brooch percent barrier
- EmitDelegates for stacking chance/damage on items that don't (e.g. sticky bomb, atg)
- Improve descriptions for Focused Convergence and Mercurial Rachis

Also school is starting soon so updates are gonna be *sparse*


# Compatibility & Errors
- Make sure to have the same configs for multiplayer.
- This mod is very unlikely to be compatible with any balance mod, however you can turn off nearly everything so that it is. It should print out in the console exactly what doesn't work.
- Please report any issues on the github issues page. A log is very much appreciated.

# Scope
- (As of now) UCR lets you configure nearly every item, equipment, stat and skilldef in the game.
- The plan is to make skills, directors, elites etc configurable as well, but I'm kinda lazy and burnt out.
- - I'd appreciate help from any modders, for better optimization, features, or adding more stuff.

## Screenshots
![ss1](https://cdn.discordapp.com/attachments/874994540992421898/1007618465034665994/unknown.png)
![ss2](https://cdn.discordapp.com/attachments/874994540992421898/1007618541408768020/unknown.png)
![ss3](https://cdn.discordapp.com/attachments/874994540992421898/1007618647331704952/unknown.png)

## Credits
- GiGaGon for stat and skilldef config generator
- Beeg Thanks RandomlyAwesome for IL Help
- iDeathHD for IL Help
- Harb for IL Help
- TheMysticSword for general programming help
- borbo for IL Help
- Moffein for Shaped Glass hook
- HyperInvox for mod icon

